visualvm (2.1.8-2~bpo12+1) lernstick-12-backports; urgency=medium

  * Rebuild for lernstick-12-backports.

 -- Ronny Standtke <ronny.standtke@gmx.net>  Sat, 27 Jul 2024 17:29:02 +0200

visualvm (2.1.8-2) unstable; urgency=medium

  * Team upload.
  * Re-upload with fixed maintainer address.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Apr 2024 12:55:35 +0200

visualvm (2.1.8-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * New upstream release 2.1.8 (LP: #2060246).
    - Release notes: https://visualvm.github.io/relnotes.html.
  * d/p/jfr.generic.patch: refresh patch.
  * d/copyright: exclude .gitignore and .github.
  * d/p/drop-nashorn.jdk15.patch: drop Java 15 Nashorn plugin.
  * d/p/use-older-keyring.patch: downgrade org.netbeans.modules.keyring
    dependency version.
  * d/watch: add repack suffix.
  * d/control: add Rules-Requires-Root: no.
  * d/visualvm.lintian-overrides: override repeated-path-segment.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Apr 2024 11:20:03 +0200

visualvm (2.1.6-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * VisualVM release 2.1.6 (LP: #2026700).
    - Release notes: https://visualvm.github.io/relnotes.html.
  * d/p/JDK17-FTBFS.patch: dropped as it is no longer needed.
  * d/p/org.openide.util.lookup.patch: refresh patch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 08:15:39 +1200

visualvm (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.5.
  * Refresh the old patches.
  * Fix FTBFS with OpenJDK 17.
  * Add no-flatlaf-support.patch and org.openide.util.lookup.patch to address
    build failures caused by netbeans platform in Debian.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2023 22:26:44 +0100

visualvm (2.0.7-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Fixes the build failure with OpenJDK 17 (Closes: #1011175)
  * Filter out the jar files from the upstream tarball
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 May 2022 09:02:53 +0200

visualvm (2.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack the sources and remove prebuilt files.

 -- Markus Koschany <apo@debian.org>  Fri, 19 Feb 2021 00:31:59 +0100

visualvm (2.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2021 10:26:54 +0100

visualvm (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.4.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * d/rules: Set permit.jdk9.builds=true
  * Drop jhall.patch and ModuleStateSelector.patch.
  * Refresh the remaining patches and add jfr.generic.patch because Java
    Mission Control has not been packaged yet.
  * Tighten dependency on libnb-platform18-java otherwise some features will
    not work correctly. (plugins, etc.)
  * Ensure visualvm can be built twice in a row.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 05 Oct 2020 18:47:55 +0200

visualvm (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.3.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove empty-binaries-list.patch.
  * Fix FTBFS, add ModuleStateSelector.patch.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Aug 2019 14:51:42 +0200

visualvm (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Tighten the dependency on default-jdk. We only support Java 11 in Buster.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Jan 2019 13:31:56 +0100

visualvm (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2.
    - Fix FTBFS. (Closes: #897945, #893553)
    - Fix startup issue with Java 9. (Closes: #877792, #863337)
  * Switch to compat level 12.
  * Set -Dpermit.jdk9.builds=true
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Refresh the patches.
  * Add empty-binaries-list.patch. Do not download any binaries from the
    internet at build time.
  * Add jhall.patch. Add jhall.jar to the CLASSPATH.
  * Add sortChildren.patch and work around a FBTFS with Java 11.
  * d/control: Use priority optional.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Jan 2019 20:06:48 +0100

visualvm (1.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control:
    - Standards-Version updated to 3.9.8
    - Use secure Vcs-* URLs
    - Updated the Homepage field
  * Track and download the new releases on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 08:50:53 +0200

visualvm (1.3.8-2) unstable; urgency=medium

  * Team upload.
  * Add build-dep on libstringtemplate-java (Closes: #797318)
  * Bump Standards-Version to 3.9.6 (no changes).
  * Correct Vcs-Browser URL.

 -- tony mancill <tmancill@debian.org>  Sun, 06 Sep 2015 09:30:56 -0700

visualvm (1.3.8-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Removed 02-java8-compatibility.patch (fixed upstream)
  * Improved the mangling of the upstream version in debian/watch

  [ tony mancil ]
  * Drop hardening-wrapper in favor of dpkg-buildflags.
    Update 01-gcc-settings.patch to respect LDFLAGS.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Jul 2014 17:53:15 +0200

visualvm (1.3.7-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: use override_dh_install-indep to do additional stuff
    only when the arch-independent package is built. Otherwise
    architecture-dependent-only builds fail.
    Thanks to Aaron M. Ucko for the bug report. (Closes: #749509)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 May 2014 19:54:56 +0200

visualvm (1.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #702052, #718786)
    - Removed the Ant compatibility patch
    - Depend on libnb-platform18-java instead of libnb-platform13-java
    - The license validation window is no longer displayed (Closes: #721178)
    - Added a patch fixing the compilation errors with Java 8
  * The IcedTea build harness is no longer used
  * Added an architecture specific package containing the native libraries
  * Install the application files in /usr/share/visualvm
    instead of /usr/lib/visualvm
  * Never use Java 6 at runtime and accept OpenJDK 8 as an alternative JRE
  * Added a manpage
  * Added high quality icons for the launcher
  * Use the upstream launcher script instead of debian/jvisualvm.sh
  * Enabled hardening on the native libraries
  * Added debian/README.source to document the workflow used with this package
  * Added debian.orig-tar.sh and use uscan to build the upstream tarball
  * debian/rules:
    - Revamped to use the dh command sequencer
    - Added a get-orig-source target
  * debian/copyright:
    - Switched to the Copyright Format 1.0
    - Refreshed the source URLs
    - Replaced Sun Microsystems with Oracle
  * Added keywords to the desktop file

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 May 2014 08:50:27 +0200

visualvm (1.3.3-3) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Add Vcs-Git and Vcs-Browser to refer to pkg-java repo on Alioth.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Replace dependencies on openjdk-6-jdk with default-jdk.
    (Closes: #720572)
  * Apply patch for autoreconf and build-dep on dh-autoreconf to support
    ppc64el.  Thanks to Breno Leitao. (Closes: #746297)

  [ Emmanuel Bourg ]
  * Fixed the compilation errors with Ant 1.9 (Closes: #713198)
  * Switched to source format 3.0 (quilt)
  * Build depend on debhelper >= 9
  * Added a watch file
  * debian/rules: Replaced dh_clean -k with dh_prep
  * debian/copyright: Fixed the path to the GPL-2 license
  * debian/control: Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Apr 2014 12:57:45 +0200

visualvm (1.3.3-2) unstable; urgency=low

  * Fix path to the nbexec binary. LP: #1070444, LP: #1070778.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Nov 2012 16:53:42 +0100

visualvm (1.3.3-1) unstable; urgency=low

  * Upload to unstable.
  * Set maintainer to Debian Java Maintainers.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 17:54:55 +0200

visualvm (1.3.3-0ubuntu1) quantal; urgency=low

  * New upstream version, supporting libnb-platform13-java.
  * debian/jvisualvm.sh: Prefer OpenJDK 7 over OpenJDK 6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 16:55:54 +0200

visualvm (1.3.2-0ubuntu3) quantal; urgency=low

  * debian/jvisualvm.sh:
    - look for OpenJDK 7 files also (LP: #937710)
    - use multiarch-friendly paths for OpenJDK (LP: #1004370)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Sun, 27 May 2012 00:02:57 -0500

visualvm (1.3.2-0ubuntu2) precise; urgency=low

  * Build-depend on libnb-platform12-java, since the default is now
    platform13 but visualvm doesn't support that yet (LP: #935481).
  * Handle new multiarch-friendly OpenJDK installation paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Apr 2012 14:50:10 +0100

visualvm (1.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream version.
  * Drop build dependency on libnb-apisupport2-java. LP: #832764.
  * Fix jdk detection. LP: #657048.
  * Update package description. LP: #813165.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2011 13:38:19 +0200

visualvm (1.3-0ubuntu2) maverick; urgency=low

  * Add wget as a build dependency, required by the configury.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2010 22:24:21 +0200

visualvm (1.3-0ubuntu1) maverick; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2010 14:19:21 +0200

visualvm (1.2.2-0ubuntu2) lucid-proposed; urgency=low

  * Update the build number for 1.2.2, required by some visualvm plugins.
    LP: #572360 .

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Apr 2010 15:36:54 +0200

visualvm (1.2.2-0ubuntu1) lucid; urgency=low

  * New upstream version, to build with netbeans-6.8. LP: #560138.
  * Depend on libnb-platform11-java.
  * Build-depend on libnb-apisupport1-java.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2010 14:09:51 +0200

visualvm (1.2.1-0ubuntu3) lucid; urgency=low

  * debian/control: Really use Depends instead of Build-Depends.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 28 Dec 2009 12:57:26 -0500

visualvm (1.2.1-0ubuntu2) lucid; urgency=low

  * debian/control: Depend on java6-sdk alternate (works with
    sun-java6-jdk, too). Thanks, Martin Jordan!

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 28 Dec 2009 12:51:15 -0500

visualvm (1.2.1-0ubuntu1) lucid; urgency=low

  * New upstream version.
  * Remove unneeded dependencies on libnb-ide11-java and libnb-apisupport1-java.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Nov 2009 14:20:46 +0100

visualvm (1.1.1-0ubuntu2) karmic; urgency=low

  * Update build dependencies (netbeans-6.7).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2009 13:05:25 +0200

visualvm (1.1.1-0ubuntu1) karmic; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jul 2009 15:00:41 +0200

visualvm (0.20080728-1ubuntu2) jaunty; urgency=low

  * Change dependency on libnb-platform9-java, libnb-ide10-java and
    build-dependency on libnb-platform-devel-java, libnb-ide10-java.
    LP: #348712.

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 07 Apr 2009 21:28:04 +0400

visualvm (0.20080728-1ubuntu1) intrepid; urgency=low

  * Add build dependency on unzip.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2008 10:28:22 +0000

visualvm (0.20080728-1) intrepid; urgency=low

  * Initial snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Oct 2008 10:31:06 +0000

